/*
 * EndInstruction.java
 *
 * Created on 16  2002 ., 10:14
 */

package com.fn.spcave.compiler;

/**
 *
 * @author  asso
 */
public class EndInstruction extends Instruction {
    
    public static final int END_CODE = 2;
    private int beginPosition;
    
    /** Creates a new instance of EndInstruction */
    public EndInstruction(Lexical lexical, String source, int line, int position, int beginPosition) {
        super(lexical, source, line, position, END_CODE);
        this.beginPosition = beginPosition;
    }
    
    public int getBeginPosition() {
        return beginPosition;
    }
    
}
