/*
 * FunctionInstruction.java
 *
 * Created on 16  2002 ., 11:39
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class FunctionInstruction extends Instruction {
    
    public static final int FUNCTION_CODE = 5;
    private FunctionHandler handler;
    private List arguments;
    
    /** Creates a new instance of FunctionInstruction */
    public FunctionInstruction(Lexical lexical, String source, int line, int position, 
            FunctionHandler handler, List arguments) 
    {
        super(lexical, source, line, position, FUNCTION_CODE);
        this.handler = handler;
        this.arguments = arguments;
    }
    
    public FunctionHandler getFunctionHandler() {
        return handler;
    }
    
    public List getArguments() {
        return arguments;
    }
}
