/*
 * ClearBufferKeyword.java
 *
 * Created on 22  2002 ., 14:37
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class ClearBufferKeyword extends KeywordInstruction {
    
    /** Creates a new instance of ClearBufferKeyword */
    public ClearBufferKeyword(Lexical lexical, String source, int line, int position, 
            List arguments) throws ScException {
        super(lexical, source, line, position, arguments);
    }
    
    public int processKeyword(Interpreter interp) throws ScException {
        interp.clearBuffer();
        return getPosition() + 1;
    }
    
}
