/*
 * EqFunction.java
 *
 * Created on 19  2002 ., 16:06
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class EqFunction implements FunctionHandler {
    
    /** Creates a new instance of EqFunction */
    public EqFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        if (args.size() != 2)
            throw new ScException("@eq functions takes two arguments");
        double v1 = ((Expression)args.get(0)).asDouble(interp);
        double v2 = ((Expression)args.get(1)).asDouble(interp);
        return new Expression(v1 == v2);
    }
    
}
