/*
 * TextHandler.java
 *
 * Created on 15  2002 ., 16:28
 */

package com.fn.spcave.compiler;


import java.util.Iterator;
import java.util.List;


/**
 *
 * @author  asso
 */
public class TextFunction implements FunctionHandler {
 
    /** Creates a new instance of TextHandler */
    public TextFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        if (args.size() < 2)
            throw new ScException(/*instr.getErrorPos() +*/ "text() function takes two arguments");
        StringBuffer sb = new StringBuffer();
        Iterator i = args.iterator();
        Expression expr = (Expression)i.next();
        String bundleName = expr.asString(interp) + ".scc";
        while (i.hasNext()) {
            expr = (Expression)i.next();
            sb.append(interp.getTextString(bundleName, expr.asString(interp)));
        }
        return new Expression(sb.toString());
    }
}
